package com.fjhx.mes.service.production;

import com.fjhx.mes.entity.production.po.ProductionPlan;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.production.vo.ProductionPlanVo;
import com.fjhx.mes.entity.production.dto.ProductionPlanSelectDto;
import com.fjhx.mes.entity.production.dto.ProductionPlanDto;


/**
 * <p>
 * 生产计划 服务类
 * </p>
 *
 * @author 
 * @since 2023-03-29
 */
public interface ProductionPlanService extends BaseService<ProductionPlan> {

    /**
     * 生产计划分页
     */
    Page<ProductionPlanVo> getPage(ProductionPlanSelectDto dto);

    /**
     * 生产计划明细
     */
    ProductionPlanVo detail(Long id);

    /**
     * 生产计划新增
     */
    void add(ProductionPlanDto productionPlanDto);

    /**
     * 生产计划编辑
     */
    void edit(ProductionPlanDto productionPlanDto);

    /**
     * 生产计划删除
     */
    void delete(Long id);

}
